:name: tone
:description: tone and contour plot
:ndims: 2
:nvars: 1
:vizshot_method: tone_cont
:setting_html: |
  <div>
    <%= check_box("analysis", "tone_tone") %>
    <label for="analysis_tone">Draw tone</label>
    <%= check_box("analysis", "tone_contour") %>
    <label for="analysis_contour">Draw contour</label>
    <br/>
    <label for="analysis_min">minimum tone level</label>
    <%= text_field("analysis", "tone_min", :size => 4, :maxlength => 12) %>
    <br/>
    <label for="analysis_max">maximum tone level</label>
    <%= text_field("analysis", "tone_max", :size => 4, :maxlength => 12) %>
    <br/>
    <label for="analysis_nlev">num of tone levels</label>
    <%= text_field("analysis", "tone_nlev", :size => 2, :maxlength => 2) %>
    <br/>
    <%= check_box("analysis", "tone_log") %>
    <label for="Color bar">Logarithmic levels</label>
    <br/>
    <label for="analysis_levels">comma-separated tone levels:</label>
    <%= text_field("analysis", "tone_levels", :size => 30, :maxlength => 200) %>
    <br/>
    <%= check_box("analysis", "tone_color_bar") %>
    <label for="Color bar">Color bar</label>
  </div>

:attributes:
- :name: tone
  :default: true
  :type: boolean
  :parser: vizshot
- :name: contour
  :default: true
  :type: boolean
  :parser: vizshot
- :name: min
  :type: float
  :optional: true
  :parser: ggraph
- :name: max
  :type: float
  :optional: true
  :parser: ggraph
- :name: nlev
  :type: int
  :optional: true
  :parser: ggraph
- :name: levels
  :type: array_float
  :optional: true
  :parser: ggraph
- :name: color_bar
  :default: true
  :type: boolean
  :parser: vizshot
- :name: log
  :default: false
  :type: boolean
  :parser: ggraph
